Bug 442924 - RFE: Include shared library
RFE: Include shared library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mcpp (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kiyoshi Matsui
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 12:15 EDT by Mary Ellen Foster
Modified: 2008-11-26 05:36 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 05:36:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec-file diff (3.71 KB, patch)
2008-04-21 10:54 EDT, Mary Ellen Foster
no flags Details | Diff
Proposed changes to mcpp spec file (1.59 KB, patch)
2008-05-02 12:31 EDT, Mary Ellen Foster
no flags Details | Diff

  None (edit)
Description Mary Ellen Foster 2008-04-17 12:15:23 EDT
Description of problem:
The current mcpp package includes only the "mcpp" executable. A package that I
maintain is soon going to release a new version that requires the mcpp shared
library. Could that be added to the package?

I've been playing around with the spec file to add the library. It doesn't quite
work yet, but I can send my changes if you want to see.

Version-Release number of selected component (if applicable):
mcpp-2.7-2.fc8
Comment 1 Mary Ellen Foster 2008-04-21 10:54:22 EDT
Created attachment 303153 [details]
Spec-file diff

I've made a stab at including the library in the RPM. A possible spec file and
srpm are at http://mef.fedorapeople.org/packages/mcpp/. This is the spec-file
diff.

Note that -- because I currently need them -- I've included a couple of patches
from the sourceforge site into this RPM. Probably that won't be necessary when
the next version gets released.
Comment 2 Mary Ellen Foster 2008-04-30 09:02:05 EDT
... please?
Comment 3 Kiyoshi Matsui 2008-04-30 12:01:23 EDT
Sorry for my long delay of response.

I will commit new SVN revision, which is a release candidate for mcpp V.2.7.1,
on SourceForge, and will write a testing spec file based on the revision here,
in a couple of days.
Comment 4 Kiyoshi Matsui 2008-05-02 11:14:33 EDT
Thanks for packaging proposal, and sorry for inconvenience of the V.2.7 library
build and some bugs.

I committed SVN revision 99 at SourceForge, and uploaded a testing spec file and
a tarball for the test at:

    http://kmatsui.fedorapeople.org/mcpp.html

This revision builds a library version of mcpp with --enable-mcpplib option for
configure, and at the same time builds an mcpp executable which links shared
library of libmcpp, and also installs a few documents.

I devided the mcpp package into four packages (as Debian's mcpp_2.7-3 packages):
    mcpp        (executable)
    libmcpp     (shared library)
    libmcpp-devel   (headers to use library)
    mcpp-doc    (documents)

These packages are generated from single spec file by 'rpmbuild -ba mcpp.spec'
command.
How about these specs?
Comment 5 Mary Ellen Foster 2008-05-02 12:31:09 EDT
Created attachment 304399 [details]
Proposed changes to mcpp spec file

Looks mostly good! I suggest a few minor changes in the attached patch, based
on running rpmlint on the generated RPMS:

- moving the version-less *.so symlink into the "-devel" package
- adding "/sbin/ldconfig" to the %post and %postun of the libmcpp package
- remove libmcpp requirement from the "mcpp" package

I also made a couple of minor edits to the descriptions of things because they
sounded a bit weird in English.

I haven't tried building my own package against this yet but I will do this
weekend.

Thanks!
Comment 6 Kiyoshi Matsui 2008-05-03 08:44:09 EDT
Thanks for the corrections, especially to my clumsy English!
I will take them.
Comment 7 Mary Ellen Foster 2008-05-19 06:35:21 EDT
Another suggested correction: remove the %{?_smp_mflags} from the "make" line,
or else things can get built in the wrong order and the link may fail because
libmcpp isn't there yet.
Comment 8 Fedora Update System 2008-05-20 04:47:47 EDT
mcpp-2.7.1-1.fc8 has been submitted as an update for Fedora 8
Comment 9 Kiyoshi Matsui 2008-05-20 05:25:28 EDT
Thanks for the suggestion.
I had added the line 'mcpp_DEPENDENCIES = libmcpp.la' in src/Makefile.am of SVN
revision at SourceForge two weeks ago. The line seems to prevent compilation in
wrong order. But, I removed the %{?_smp_mflags} in mcpp.spec to be sure.

I released mcpp V.2.7.1 at SourceForge yesterday. Now I just committed
mcpp-2.7.1-1 to CVS branches for Fedora-7, Fedora-8, Fedora-9 and devel, and
requested "testing" for them.
Comment 10 Fedora Update System 2008-05-21 07:10:48 EDT
mcpp-2.7.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mcpp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-4313
Comment 11 Fedora Update System 2008-06-06 03:52:58 EDT
mcpp-2.7.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Bug Zapper 2008-11-26 05:30:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Mary Ellen Foster 2008-11-26 05:36:29 EST
Not sure why this didn't get auto-closed ...

Note You need to log in before you can comment on or make changes to this bug.